Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.identity
Class Selector.XPath

    java.lang.Object
      org.apache.xerces.impl.xpath.XPath
          org.apache.xerces.impl.xs.identity.Selector.XPath

Enclosing class:
  Selector

    public static class Selector.XPath

extends XPath

Schema identity constraint selector XPath expression.

Version:
  $Id: Selector.java 469584 2006-10-31 17:57:34Z mrglavas $
Author:
  Andy Clark, IBM

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xerces.impl.xpath.XPath
`XPath.Axis, XPath.LocationPath, XPath.NodeTest, XPath.Step`

Field Summary

Fields inherited from class org.apache.xerces.impl.xpath.XPath
`fExpression, fLocationPaths, fSymbolTable`

Constructor Summary
`Selector.XPath(java.lang.String xpath, SymbolTable symbolTable, org.apache.xerces.xni.NamespaceContext context)` Constructs a selector XPath expression.

Method Summary

Methods inherited from class org.apache.xerces.impl.xpath.XPath
`getLocationPath, getLocationPaths, main, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Selector.XPath

    public Selector.XPath(java.lang.String xpath,
                          SymbolTable symbolTable,
                          org.apache.xerces.xni.NamespaceContext context)
                   throws XPathException

  Constructs a selector XPath expression.

  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.